
$(document).ready(function(){

	$(".loader").hide();
	
	$('.gallery-slider').slick({
		infinite: true,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: true,
		autoplaySpeed: 3000,
		prevArrow:"<img class='a-left control-c prev slick-prev' src='assets/img/left-arrow.png'>",
		nextArrow:"<img class='a-right control-c next slick-next' src='assets/img/right-arrow.png'>"
	});

	$('.progress-slider').slick({
		infinite: true,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: true,
		autoplaySpeed: 3000,
		prevArrow:"<img class='a-left control-c prev slick-prev' src='assets/img/left-arrow.png'>",
		nextArrow:"<img class='a-right control-c next slick-next' src='assets/img/right-arrow.png'>"
	});
	$('.development-slider').slick({
		infinite: true,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: true,
		autoplaySpeed: 3000,
		prevArrow:"<img class='a-left control-c prev slick-prev' src='assets/img/left-arrow.png'>",
		nextArrow:"<img class='a-right control-c next slick-next' src='assets/img/right-arrow.png'>"
	});
	$('.school-slider').slick({
		infinite: true,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: true,
		autoplaySpeed: 3000,
		prevArrow:"<img class='a-left control-c prev slick-prev' src='assets/img/left-arrow.png'>",
		nextArrow:"<img class='a-right control-c next slick-next' src='assets/img/right-arrow.png'>"
	});
	$('.handover-slider').slick({
		infinite: true,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: true,
		autoplaySpeed: 3000,
		prevArrow:"<img class='a-left control-c prev slick-prev' src='assets/img/left-arrow.png'>",
		nextArrow:"<img class='a-right control-c next slick-next' src='assets/img/right-arrow.png'>"
	});
	$('.project-slider').slick({
		infinite: true,
		slidesToShow: 1,
		slidesToScroll: 1,
		autoplay: true,
		autoplaySpeed: 3000,
		prevArrow:"<img class='a-left control-c prev slick-prev' src='assets/img/left-arrow-dark.png'>",
		nextArrow:"<img class='a-right control-c next slick-next' src='assets/img/right-arrow-dark.png'>"
	});
	$(document).on('click', 'a[href^="#"]', function (event) {
		event.preventDefault();

		$('html, body').animate({
			scrollTop: $($.attr(this, 'href')).offset().top-70
		}, 500);
	});
	$(".navbar-light .navbar-nav .nav-item").click(function(){
		$(".navbar-collapse").removeClass("show");

	});

	$('#gallery-slider').on('afterChange', function() {
		var gSlider = $(document).find('#gallery-slider');
		var titlewrap = $(gSlider).find('.slick-current .slider-wrap').attr("data-titlewrap");
		var proptype = $(gSlider).find('.slick-current .slider-wrap').attr("data-proptype");
		var desc = $(gSlider).find('.slick-current .slider-wrap').attr("data-desc");

		$("#gallery-scontent").find(".title-wrap h2").html(titlewrap);
		$("#gallery-scontent").find(".title-wrap p").html(proptype);
		$("#gallery-scontent").find(".bottom-points p").html(desc);

	});

	$('#handover-slider').on('afterChange', function() {
		var hSlider = $(document).find('#handover-slider');
		var name = $(hSlider).find('.slick-current .hand-wrapper').attr("data-name");
		var para = $(hSlider).find('.slick-current .hand-wrapper').attr("data-para");
		var quote = $(hSlider).find('.slick-current .hand-wrapper').attr("data-quote");

		$("#quote-box").find("h5").html(name);
		$("#quote-box").find(".sm-para").html(para);
		$("#quote-box").find("p").html(quote);

	});


	$('#development-slider').on('afterChange', function() {
		var dSlider = $(document).find('#development-slider');
		var dname = $(dSlider).find('.slick-current .slider-wrap').attr("dev-name");
		var dpara = $(dSlider).find('.slick-current .slider-wrap').attr("dev-para");
		
		$("#development-content").find(".title-wrap h2").html(dname);
		$("#development-content").find(".developement-para").html(dpara);
	});

});